Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 Jun 2022 15:34:11 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>> Maybe `read-regexp' could modify some global variable?
>
> Like read-regexp-last-case-fold-setting or something?  I guess that's
> possible, but it feels rather hacky...
>
> We could add an extra parameter that would make read-regexp alter
> `case-fold-search', and then callers (that used that parameter) would
> have to bind case-fold-search around the call, but that feels like it
> could be very error-prone.

I forgot the classic Emacs Lisp way of returning several values: Using
text properties.  >"?

So I've now added an `M-c' command to `read-regexp' and made `rgrep'
heed that in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no